| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
Digikam::LoadingCacheFileWatch Class Reference
Inheritance diagram for Digikam::LoadingCacheFileWatch:

## Public Member Functions
void | addedImage (const QString &filePath)
void | checkFileWatch (const QString &filePath)
void | removeImage (const QString &filePath)

## Protected Member Functions
void | notifyFileChanged (const QString &filePath)
| Convenience method.

## Protected Attributes
class LoadingCache * | m_cache = nullptr
QHash< QString, QPair< qint64, QDateTime > > | m_watchHash

## Friends
class | LoadingCache

## Member Function Documentation

## ◆ notifyFileChanged()

void Digikam::LoadingCacheFileWatch::notifyFileChanged | ( | const QString & | filePath | ) |
| protected

Call this to tell the cache to remove stored images for filePath from the cache. Calling this method is fast, you do not need to check if the file is contained in the cache. Do not hold the CacheLock when calling this method.